Add LSI SMI-S Provider to OMV

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Add LSI SMI-S Provider to OMV

      Hi Folks,

      I virtual OMV in VMware and map an RDM of my LSI 9260-8i RAID card to OMV. This has worked extremely well since I started using OMV a couple years ago.

      I upgraded VMware to 6.5u2 and cannot get the MegaRAID Storage Manager working. MSM runs on a remote host then connects to an SMI-S driver on another host with the LSI RAID card. The host with the RAID card can be VMware, Windows or Linux.

      With that said, I may change my configuration and passthrough the LSI RAID card to OMV. I know this also works well, but if I do this I need to install the SMI-S driver. Here's my question.

      Can the below Linux SMI-S provider be installed on OMV 4.x? I am not a Linux admin so I am seeking advice. Thank you! -John



      ----------------------------

      Prerequisite for MegaRAID SMI-S provider installation

      =====================================================
      The MegaRAID ® StoreLIB application which is used by MegaRAID SMI-S provider depends upon two standard libraries libpci and libsysfs.
      Please ensure that these libraries are present in the system before installing MegaRAID SMI-S provider rpm.
      MegaRAID SMI-S provider will not function without these two standard libraries. The minimum versions required are:
      - libpci version 2.2.8
      - libsysfs version 2.0.1

      For your convenience, libsysfs is available in the rpm <Lib_Utils-1.xx-xx.noarch.rpm> and libpci is refered from the system libraries.
      <Lib_Utils-1.xx-xx.noarch.rpm> is packaged in the MegaRAID SMI-S provider zip file.
      To install the <Lib_Utils-1.xx-xx.noarch.rpm>, please follow below steps.

      1) unzip the MegaRAID SMI-S provider package .
      2) To install the Lib_Utils RPM, run the command "rpm -ivh <Lib_Utils-1.xx-xx.noarch.rpm>"
      3) To install the MegaRAID SMI-S provider RPM, run the comand "rpm -ivh <lsi_mr_hhr-xx.xx-xxxx-rhel5.i386.rpm>

      Note:
      If the Lib_Utils RPM is already installed on the target system, the step-2 mentioned above fail with error message.
      "package <Lib_Utils-1.xx-xx> is already installed", in that case continue with MegaRAID SMI-S provider RPM installation as in step-3.
      Minimum version required for Lib_Utils is Lib_Utils-1.00-09

      Prerequistes for DSA:

      ======================
      1.LSI_MR_CONF file should be placed in "/etc/lsi_mr" directory and LSI_MR_CONF file should be updated with the location of "lsi_mir" directory.
      2.lsi_mr.conf should be placed in the "lsi_mir" directory.

      Note:
      Files "lsi_mir" and "LSI_MR_CONF" are being delivered as part of the package.
    • You posted instructions on installing the package for CentOS/RHEL/etc. Are there instructions for installing on Debian or Ubuntu? That should be all you need to do.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • It is possible to install an RPM on Debian but I'm not a fan of this process. I guess you could try it in a VM though.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!